IniSection (Ant Contrib)
Keywords: net.sf.antcontrib.inifile.IniSection class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.inifile
Class IniSection

    java.lang.Object
      net.sf.antcontrib.inifile.IniSection

All Implemented Interfaces:
  IniPart

    public class IniSection

extends java.lang.Object
implements IniPart

A section within an IniFile.

Author:
  Matthew Inger

Constructor Summary
`IniSection()` Default contructor, constructs an IniSectino with no name
`IniSection(java.lang.String name)` Constructs an IniSection with the given name

Method Summary
`java.lang.String` | `getName()` Gets the name of the section
`java.util.List` | `getProperties()` Gets a list of all properties in this section
`IniProperty` | `getProperty(java.lang.String name)` Gets the property with the given name
`void` | `removeProperty(java.lang.String name)` Removes a property from this ection
`void` | `setName(java.lang.String name)` Sets the name of the section
`void` | `setProperty(IniProperty property)` Sets a property, replacing the old value, if necessary.
`void` | `write(java.io.Writer writer)` Write this part of the IniFile to a writer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IniSection

    public IniSection()

  Default contructor, constructs an IniSectino with no name

### IniSection

    public IniSection(java.lang.String name)

  Constructs an IniSection with the given name

  Parameters:
    `name` - The name of the section

Method Detail

### getProperties

    public java.util.List getProperties()

  Gets a list of all properties in this section

  Returns:
    A List of IniProperty objects

### getName

    public java.lang.String getName()

  Gets the name of the section

### setName

    public void setName(java.lang.String name)

  Sets the name of the section

  Parameters:
    `name` - The name of the section

### getProperty

    public IniProperty getProperty(java.lang.String name)

  Gets the property with the given name

  Parameters:
    `name` - The name of the property

### setProperty

    public void setProperty(IniProperty property)

  Sets a property, replacing the old value, if necessary.

  Parameters:
    `property` - The property to set

### removeProperty

    public void removeProperty(java.lang.String name)

  Removes a property from this ection

  Parameters:
    `name` - The name of the property to remove

### write

    public void write(java.io.Writer writer)
               throws java.io.IOException

  Description copied from interface: `IniPart`
  Write this part of the IniFile to a writer

  Specified by:
    `write` in interface `IniPart`
  Parameters:
    `writer` - The writer to write to
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD